> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inventory item details



## OpenAPI

````yaml api-reference/openapi.json get /api/reports/inventory-item-details
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/reports/inventory-item-details:
    get:
      tags:
        - Reports
      summary: Get inventory item details
      operationId: InventoryItemDetailsController_inventoryItemDetails
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - description: Number of decimal places to display
          required: false
          name: precision
          in: query
          schema:
            example: 2
            type: number
        - description: Whether to divide the number by 1000
          required: false
          name: divideOn1000
          in: query
          schema:
            example: false
            type: boolean
        - description: Whether to show zero values
          required: false
          name: showZero
          in: query
          schema:
            type: boolean
            example: true
        - description: How to format money values
          required: false
          name: formatMoney
          in: query
          schema:
            example: total
            enum:
              - total
              - always
              - none
            type: string
        - description: How to format negative numbers
          required: false
          name: negativeFormat
          in: query
          schema:
            example: parentheses
            enum:
              - parentheses
              - mines
            type: string
        - name: noneTransactions
          required: false
          in: query
          description: Whether to exclude transactions
          schema:
            type: boolean
        - name: itemsIds
          required: false
          in: query
          description: Items IDs for the inventory item details
          schema:
            type: array
            items:
              type: string
        - name: warehousesIds
          required: false
          in: query
          description: Warehouses IDs for the inventory item details
          schema:
            type: array
            items:
              type: string
        - name: branchesIds
          required: false
          in: query
          description: Branches IDs for the inventory item details
          schema:
            type: array
            items:
              type: string
        - name: accept
          required: true
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Inventory item details report
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryItemDetailsResponseDto'
            application/json+table:
              schema:
                $ref: '#/components/schemas/InventoryItemDetailsTableResponseDto'
components:
  schemas:
    InventoryItemDetailsResponseDto:
      type: object
      properties:
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/InventoryItemDetailsQueryResponseDto'
        data:
          description: Inventory items with details
          type: array
          items:
            $ref: '#/components/schemas/InventoryItemDetailDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/InventoryItemDetailsMetaDto'
      required:
        - query
        - data
        - meta
    InventoryItemDetailsTableResponseDto:
      type: object
      properties:
        table:
          description: Table data structure
          allOf:
            - $ref: '#/components/schemas/FinancialTableDataDto'
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/InventoryItemDetailsQueryResponseDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/InventoryItemDetailsMetaDto'
      required:
        - table
        - query
        - meta
    InventoryItemDetailsQueryResponseDto:
      type: object
      properties:
        fromDate:
          type: string
          description: Start date
        toDate:
          type: string
          description: End date
        numberFormat:
          description: Number format settings
          allOf:
            - $ref: '#/components/schemas/NumberFormatQueryDto'
        itemsIds:
          description: Item IDs to include
          type: array
          items:
            type: number
      required:
        - fromDate
        - toDate
        - numberFormat
        - itemsIds
    InventoryItemDetailDto:
      type: object
      properties:
        id:
          type: number
          description: Item ID
        name:
          type: string
          description: Item name
        code:
          type: string
          description: Item code
        openingQuantity:
          type: number
          description: Opening quantity
        closingQuantity:
          type: number
          description: Closing quantity
        transactions:
          description: Item transactions
          type: array
          items:
            $ref: '#/components/schemas/InventoryItemTransactionDto'
      required:
        - id
        - name
        - code
        - openingQuantity
        - closingQuantity
        - transactions
    InventoryItemDetailsMetaDto:
      type: object
      properties:
        organizationName:
          type: string
          description: Organization name
        baseCurrency:
          type: string
          description: Base currency code
        dateFormat:
          type: string
          description: Date format string
        isCostComputeRunning:
          type: boolean
          description: Whether cost computation is running
        sheetName:
          type: string
          description: Sheet name
        formattedFromDate:
          type: string
          description: Formatted from date
        formattedToDate:
          type: string
          description: Formatted to date
        formattedDateRange:
          type: string
          description: Formatted date range
      required:
        - organizationName
        - baseCurrency
        - dateFormat
        - isCostComputeRunning
        - sheetName
        - formattedFromDate
        - formattedToDate
        - formattedDateRange
    FinancialTableDataDto:
      type: object
      properties:
        columns:
          description: Table column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
        rows:
          description: Table row data
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - columns
        - rows
    NumberFormatQueryDto:
      type: object
      properties:
        precision:
          type: number
          description: Number of decimal places to display
          example: 2
        divideOn1000:
          type: boolean
          description: Whether to divide the number by 1000
          example: false
        showZero:
          type: boolean
          description: Whether to show zero values
          example: true
        formatMoney:
          type: string
          description: How to format money values
          example: total
          enum:
            - total
            - always
            - none
        negativeFormat:
          type: string
          description: How to format negative numbers
          example: parentheses
          enum:
            - parentheses
            - mines
    InventoryItemTransactionDto:
      type: object
      properties:
        date:
          type: string
          description: Transaction date
        dateFormatted:
          type: string
          description: Formatted date
        transactionType:
          type: string
          description: Transaction type
        referenceId:
          type: number
          description: Reference ID
        transactionNumber:
          type: string
          description: Transaction number
        description:
          type: string
          description: Transaction description
        quantity:
          type: number
          description: Quantity
        rate:
          type: number
          description: Rate
        total:
          description: Total amount
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        runningQuantity:
          type: number
          description: Running quantity
      required:
        - date
        - dateFormatted
        - transactionType
        - referenceId
        - transactionNumber
        - quantity
        - rate
        - total
        - runningQuantity
    FinancialTableColumnDto:
      type: object
      properties:
        key:
          type: string
          description: Column key
        label:
          type: string
          description: Column header label
        cellIndex:
          type: number
          description: Cell position index
        children:
          description: Nested column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
      required:
        - key
        - label
    FinancialTableRowDto:
      type: object
      properties:
        cells:
          description: Cell data for this row
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableCellDto'
        rowTypes:
          description: Row type classifications
          type: array
          items:
            type: string
        id:
          type: object
          description: Row identifier
        children:
          description: Child rows
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - cells
        - rowTypes
        - id
    FinancialReportTotalDto:
      type: object
      properties:
        amount:
          type: number
          description: Numeric amount
        formattedAmount:
          type: string
          description: Formatted amount string
        currencyCode:
          type: string
          description: Currency code
        date:
          type: object
          description: Date associated with the total
      required:
        - amount
        - formattedAmount
        - currencyCode
    FinancialTableCellDto:
      type: object
      properties:
        key:
          type: string
          description: Cell key
        value:
          type: string
          description: Cell value
      required:
        - key
        - value

````